TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Properties | List of all members
TIBCO.EMS.ADMIN.TransportInfo Class Reference

This abstract class represents the data and behavior common to transports of all types that are configured on the EMS server More...

Inheritance diagram for TIBCO.EMS.ADMIN.TransportInfo:

## Properties
string | Name`[get]`
| Get the name of the transport. More...
TransportType | Type`[get]`
| Get the type of the transport. More...
DeliveryMode | TopicImportDeliveryMode`[get]`
| Get the delivery mode for messages imported from this transport to a topic. More...
DeliveryMode | QueueImportDeliveryMode`[get]`
| Get the delivery mode for messages imported from this transport to a queue. More...
bool | ExportHeaders`[get]`
| Indicates whether or not EMS header information is included in messages exported on this transport. More...
bool | ExportProperties`[get]`
| Indicates whether or not the EMS message properties are included in messages exported on this transport. More...

## Detailed Description

This abstract class represents the data and behavior common to transports of all types that are configured on the EMS server

Transports are mechanisms for importing and exporting messages between EMS and other messaging systems. Currently the only types of transports supported are TIBCO Rendezvous and Rendezvous Certified Messaging.

## Property Documentation

bool TIBCO.EMS.ADMIN.TransportInfo.ExportHeaders
| get

Indicates whether or not EMS header information is included in messages exported on this transport.

Returns
  true if headers are exported, false otherwise.

bool TIBCO.EMS.ADMIN.TransportInfo.ExportProperties
| get

Indicates whether or not the EMS message properties are included in messages exported on this transport.

Returns
  true if the properties are exported, false otherwise.

string TIBCO.EMS.ADMIN.TransportInfo.Name
| get

Get the name of the transport.

Returns
  the transport's name.

DeliveryMode TIBCO.EMS.ADMIN.TransportInfo.QueueImportDeliveryMode
| get

Get the delivery mode for messages imported from this transport to a queue.

Returns
  the delivery mode.

DeliveryMode TIBCO.EMS.ADMIN.TransportInfo.TopicImportDeliveryMode
| get

Get the delivery mode for messages imported from this transport to a topic.

Returns
  the delivery mode.

TransportType TIBCO.EMS.ADMIN.TransportInfo.Type
| get

Get the type of the transport.

Returns
  the transport's type.